Package org.eclipse.emf.cdo.spi.server

# Class SyncingUtil

java.lang.Object
org.eclipse.emf.cdo.spi.server.SyncingUtil

public final class SyncingUtil extends Object
Static methods that may help with classes related to repository synchronization.

Since:
  4.1
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`static InternalView`
`openViewWithLockArea(InternalSession session, InternalLockManager lockManager, CDOBranch viewedBranch, String lockAreaID)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### openViewWithLockArea

public static InternalView openViewWithLockArea(InternalSession session, InternalLockManager lockManager, CDOBranch viewedBranch, String lockAreaID)